requires define( ‘WP_CACHE’, true ); to be set.

2021年12月10日

WordPressのキャッシュ系プラグイン色々試していたら Cache Enabler requires define( ‘WP_CACHE’, true ); to be set. Please set this in the wp-config.php file (must be before require_once ABSPATH . ‘wp-settings.php’;).

というエラー表示されました。

requires define( ‘WP_CACHE’, true )の意味

Cache Enablerではdefine( ‘WP_CACHE’, true );を設定する必要があります。これは wp-config.php ファイルで設定してください (require_once ABSPATH . ‘wp-settings.php’; の前でなければなりません)。

define(‘WP_CACHE’, true);などの定数定義が保存されている。

wp-config.php ファイルに define( ‘WP_CACHE’, true );を設定

require_once ABSPATH . ‘wp-settings.php’; の前に define( ‘WP_CACHE’, true ); と書きました。

「サーバーの管理・設定」「ロリポップ!FTP」をクリック

「サーバーの管理・設定」「ロリポップ!FTP」をクリック

WordPress の入っているフォルダを開きます。

wp-config.php ファイルを開きます。

「wp-content」「plugins」 をクリック

ファイルを編集できるようにする

書込と実行にチェックを入れてファイルを編集できるようにし保存します。

require_once ABSPATH . ‘wp-settings.php’; の前に define( ‘WP_CACHE’, true ); と書き保存します。

require_once ABSPATH . ‘wp-settings.php’; の前に define( ‘WP_CACHE’, true ); と書きます。

ファイルを編集できないようにする

書込と実行にチェックを外しファイルを編集でないようにし保存します。

エラーが消えました。

このサイトで重大なエラーが発生しました。

このサイトで重大なエラーが発生しました。
このサイトで重大なエラーが発生しました。 ここ数日で2度、経験しました。 1度目がwordpressの子テーマが原因で、2度目がプラグインが原因でした。 このサ…
jikuu.site